import { Component, Input, OnInit } from '@angular/core';
import { DegreeProgram } from 'app/features/modules/models/degree-program';
import { Course } from '../../models/course';

@Component({
  selector: 'ngx-course-header',
  templateUrl: './course-header.component.html',
  styleUrls: ['./course-header.component.scss']
})
export class CourseHeaderComponent implements OnInit {
  @Input() course: Course;
  @Input() subtitle: string = "";
  
  constructor() { }

  ngOnInit(): void {
  }

  listPrograms(programs: DegreeProgram[]): string {
    return programs.map(p => p.name).join(', ');
  }
}
