import { Component, ContentChild, Input, OnInit, TemplateRef } from '@angular/core';
import { BackendError } from 'app/shared/models/backend-error';
import { ErrorContainerConfig } from '../error-container/error-container.component';

@Component({
  selector: 'ngx-page-container',
  templateUrl: './page-container.component.html',
  styleUrls: ['./page-container.component.scss']
})
export class PageContainerComponent implements OnInit {
  @Input() loading: boolean = false;
  @Input() error: BackendError | null = null;
  @Input() errorConfig: ErrorContainerConfig | null = null;
  @ContentChild(TemplateRef) bodyTpl;
  constructor() { }

  ngOnInit(): void {
  }

}
