export class FileTree {
    name: string;
    uuid: string;
    contentType: string;
    children: FileTree[];
    src: boolean;

    constructor(item: any) {
        this.name = item.name;
        this.uuid = item.uuid;
        this.contentType = item.contentType;
        this.children = item.children ? item.children.map(c => new FileTree(c)) : [];
        this.src = item.src;
    }

    get isPdf() {
        return this.name.endsWith(".pdf");
    }
}