package de.hsrm.sls.subato.courses.course;

import java.util.ArrayList;
import java.util.List;

public class CreateCourseRequest {
    private Long id;
    private String name;
    private String shortName;
    private CourseVisibility visibility;
    private SubmitPolicy submitPolicy;
    private boolean showEmails;
    private Long sourceId;
    private Long termId;
    private List<Long> moduleIds = new ArrayList<>();
    private Long courseId;

    public CreateCourseRequest(Long id, String name, String shortName, CourseVisibility visibility, SubmitPolicy submitPolicy, boolean showEmails, Long sourceId, Long termId, List<Long> moduleIds, Long courseId) {
        this.id = id;
        this.name = name;
        this.shortName = shortName;
        this.visibility = visibility;
        this.submitPolicy = submitPolicy;
        this.showEmails = showEmails;
        this.sourceId = sourceId;
        this.termId = termId;
        this.moduleIds = moduleIds;
        this.courseId = courseId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public CourseVisibility getVisibility() {
        return visibility;
    }

    public void setVisibility(CourseVisibility visibility) {
        this.visibility = visibility;
    }

    public SubmitPolicy getSubmitPolicy() {
        return submitPolicy;
    }

    public void setSubmitPolicy(SubmitPolicy submitPolicy) {
        this.submitPolicy = submitPolicy;
    }

    public boolean isShowEmails() {
        return showEmails;
    }

    public void setShowEmails(boolean showEmails) {
        this.showEmails = showEmails;
    }

    public Long getSourceId() {
        return sourceId;
    }

    public void setSourceId(Long sourceId) {
        this.sourceId = sourceId;
    }

    public Long getTermId() {
        return termId;
    }

    public void setTermId(Long termId) {
        this.termId = termId;
    }

    public List<Long> getModuleIds() {
        return moduleIds;
    }

    public void setModuleIds(List<Long> moduleIds) {
        this.moduleIds = moduleIds;
    }
}
