package de.hsrm.sls.subato.courses.membership;

import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

@Component
public class StaffGroupConverter implements Converter<String, StaffGroup> {
    @Override
    public StaffGroup convert(String value) {
        var idx = Integer.valueOf(value);
        var values = StaffGroup.values();
        return idx < values.length ? values[idx] : null;
    }
}
