import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { SearchRoutingModule } from './search-routing.module';
import { SearchResultsComponent } from './pages/search-results/search-results.component';
import { SearchFormComponent } from './components/search-form/search-form.component';



@NgModule({
  declarations: [
    SearchResultsComponent,
    SearchFormComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    SearchRoutingModule
  ],
  exports: [
    SearchFormComponent
  ]
})
export class SearchModule { }
