package de.hsrm.sls.subato.aor.term.model;


import de.hsrm.sls.subato.aor.core.model.ModulePart;

import java.util.List;

public class ModulePartInstance {
    public record Group(String group, List<Lecturer> lecturers, ModulePart.CourseType courseType) { }

    private Long id;
    private String group;
    private ModulePart modulePart;
    private List<ModulePartInstanceEvent> events;
    private List<Lecturer> lecturers;
    private List<String> students;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public ModulePart getModulePart() {
        return modulePart;
    }

    public void setModulePart(ModulePart modulePart) {
        this.modulePart = modulePart;
    }

    public List<ModulePartInstanceEvent> getEvents() {
        return events;
    }

    public void setEvents(List<ModulePartInstanceEvent> events) {
        this.events = events;
    }

    public List<Lecturer> getLecturers() {
        return lecturers;
    }

    public void setLecturers(List<Lecturer> lecturers) {
        this.lecturers = lecturers;
    }

    public List<String> getStudents() {
        return students;
    }

    public void setStudents(List<String> students) {
        this.students = students;
    }
}
