package de.hsrm.sls.subato.solutions.submit;

/**
 * Thrown if a solution is submitted through a submission mode, that is not configured for the target task
 *
 * see STEF specification
 */
public class InvalidModeException extends RuntimeException {
    public static final String REASON = "Dieser Abgabemodus wird von der Aufgabe nicht unterstützt";
}
