package de.hsrm.sls.subato.tasks.stef.parser.meta.xml;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlValue;

public class FileXml {
    public static final String TYPE = "type";
    public static final String PUBLIC = "public";
    public static final String PATH = "path";
    public static final String MIME_TYPE = "mimeType";

    private String path;
    private String type;
    private Boolean isPublic;

    private String description;
    private String mimeType;

    public String getPath() {
        return path;
    }

    @XmlAttribute(name = PATH)
    public void setPath(String path) {
        this.path = path;
    }

    public String getType() {
        return type;
    }

    @XmlAttribute(name = TYPE)
    public void setType(String type) {
        this.type = type;
    }

    public Boolean isPublic() {
        return isPublic;
    }

    @XmlAttribute(name = PUBLIC)
    public void setPublic(Boolean aPublic) {
        isPublic = aPublic;
    }

    public String getDescription() {
        return description;
    }

    @XmlValue
    public void setDescription(String description) {
        this.description = description;
    }

    public String getMimeType() {
        return mimeType;
    }

    @XmlAttribute(name = MIME_TYPE)
    public void setMimeType(String mimeType) {
        this.mimeType = mimeType;
    }
}
