INSERT INTO users (id, login_name, mail, active) VALUES (1, 'US_C1A', 'dummy@local.cs.hs-rm.de', TRUE);
INSERT INTO user_roles (user_id, role_id) VALUES (1, 1);

INSERT INTO degree_program (id, name, short_name, po_year, pos_code, is_active, aor_id) VALUES (1, 'Angewandte Informatik', 'AI-B4', 2017, 'IAB', true, 28713455);
INSERT INTO degree_program (id, name, short_name, po_year, pos_code, is_active, aor_id) VALUES (2, 'Angewandte Informatik Dual', 'AI-D1', 2016, 'IBB', true, 663122664);

INSERT INTO program_module (id, name, short_name, program_id, scheduled_term, frequency, aor_id) VALUES (1, 'Objektorientierte Softwareentwicklung', 'OOSE', 1, 1, 1, 399199642);
INSERT INTO program_module (id, name, short_name, program_id, scheduled_term, frequency, aor_id) VALUES (2, 'Objektorientierte Softwareentwicklung', 'OOSE', 2, 1, 1, 1068580744);
INSERT INTO term (id, name, source_id, lectures_start_at, lectures_end_at, aor_id) VALUES (1, 'WS2223', 44, '2022-10-17', '2023-02-03', 986159133);

INSERT INTO course (id, name, short_name, description, motd, visibility, submit_policy, term_id, show_emails) VALUES (1, 'Objektorientierte Softwareentwicklung', 'OOSE', 'Bla', 'Hallo', 0, 0, NULL, 0);
INSERT INTO course_unit (id, name, type, course_id, aor_id) VALUES (1, 'Sandkasten', 4, 1, null);
INSERT INTO course_unit (id, name, type, course_id, aor_id) VALUES (2, 'Standard', 4, 1, null);
INSERT INTO course_staff_memberships(user_id, course_id, group_id) VALUES(1, 1, 0);

INSERT INTO course (id, name, short_name, description, motd, visibility, submit_policy, term_id, show_emails) VALUES (2, 'Objektorientierte Softwareentwicklung', 'OOSE', 'Für AoR Import', 'Hallo', 0, 0, 1, 0);
INSERT INTO course_unit (id, name, type, course_id, aor_id) VALUES (3, 'Sandkasten', 4, 2, null);
INSERT INTO course_unit (id, name, type, course_id, aor_id) VALUES (4, 'Standard', 4, 2, null);
INSERT INTO course_modules(course_id, modules_id) VALUES(2, 1);
INSERT INTO course_modules(course_id, modules_id) VALUES(2, 2);

INSERT INTO task_pool (id, name, description, repository_url, last_updated, last_checked, source_id) VALUES (1, 'Beispiele', 'Beispielaufgaben', 'https://gitlab.cs.hs-rm.de/sls/stef-examples', NULL, NULL, NULL);
INSERT INTO task_pool (id, name, description, repository_url, last_updated, last_checked, source_id) VALUES (2, 'oose-ai', 'OOSE', 'https://gitlab.cs.hs-rm.de/sls/subato-aufgaben/oose-ai', NULL, NULL, 2);

INSERT INTO language (id, name) VALUES ('java', 'Java');
INSERT INTO language (id, name) VALUES ('c', 'C');
INSERT INTO language (id, name) VALUES ('haskell', 'Haskell');
INSERT INTO language (id, name) VALUES ('literatehaskell', 'Literate Haskell');
INSERT INTO language (id, name) VALUES ('scala', 'Scala');
INSERT INTO language (id, name) VALUES ('kotlin', 'Kotlin');
INSERT INTO language (id, name) VALUES ('ruby', 'Ruby');
INSERT INTO language (id, name) VALUES ('python', 'Python');
INSERT INTO language (id, name) VALUES ('cpp', 'C++');
INSERT INTO language (id, name) VALUES ('go', 'Go');
INSERT INTO language (id, name) VALUES ('sql', 'SQL');
INSERT INTO language (id, name) VALUES ('js', 'JavaScript');
INSERT INTO language (id, name) VALUES ('elm', 'Elm');